<?php
require_once("class/class.bbdd.php");
$bbdd = new BBDD();

//Resposta per defecte (Negativa)
$response["success"] = "0";  

//Valida i adapta els paràmetres necessris
$cateCode = $bbdd->checkParameter('cateCode',true);

//Comprova que s'hagin validat els paràmetres
if ($cateCode !== 0 && $cateCode !== 3) {
	//Realitza la consulta
	$result = $bbdd->select("cateName","RecipesCategories","cateIden = '".$cateCode."'");
} elseif($cateCode === 3) {
	//Resposta: Paràmetre categoria incorrecte
	$response["message"] = "No s'ha especificat un valor de categoría correcte.";				
} else {	
	//Resposta: Falten paràmetres 
	$response["message"] = "No s'han especificat tots els paràmetres.";	
}


//Comprova que el resultat de la consulta no sigui nul
if (!empty($result)) {  
	//Comprova que hi hagin resultats
	$response["success"] = "1";  
	$response["message"] = $bbdd->resultsToJson($result);
} else {
	$response["message"] = "No s'han trobat resultats.";		
}

//Retorna els resultats en Json 
echo json_encode($response,JSON_UNESCAPED_UNICODE);  
?>